Reference
Chat
Get Attachment
Path Parameters
attachment_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/attachments/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"artifactId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"id": "string",
"ingestionStatus": "none",
"messageId": "string",
"mimeType": "string",
"originalFilename": "string",
"scope": "thread",
"sizeBytes": 0,
"threadId": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Attachment
Path Parameters
attachment_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/chat/attachments/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Threads
Query Parameters
limit?integer
Default
20Range
1 <= value <= 100cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads"{
"items": [
{
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"crystallizeEligible": true,
"id": "string",
"lastMessageAt": "2019-08-24T14:15:22Z",
"lastMessagePreview": "string",
"lastTurnId": "string",
"lastTurnStatus": "pending",
"metadata": {},
"systemPrompt": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Thread
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
agentSpecId?|
metadata?
systemPrompt?|
title?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads" \ -H "Content-Type: application/json" \ -d '{}'{
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"crystallizeEligible": true,
"id": "string",
"lastMessageAt": "2019-08-24T14:15:22Z",
"lastMessagePreview": "string",
"lastTurnId": "string",
"lastTurnStatus": "pending",
"metadata": {},
"systemPrompt": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Bulk Delete Threads
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
all?boolean
Default
falsethreadIds?array<>
Items
items <= 100Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/bulk-delete" \ -H "Content-Type: application/json" \ -d '{}'{
"deletedCount": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"crystallizeEligible": true,
"id": "string",
"lastMessageAt": "2019-08-24T14:15:22Z",
"lastMessagePreview": "string",
"lastTurnId": "string",
"lastTurnStatus": "pending",
"metadata": {},
"systemPrompt": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
agentSpecId?|
metadata?|
systemPrompt?|
title?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"agentSpecId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"crystallizeEligible": true,
"id": "string",
"lastMessageAt": "2019-08-24T14:15:22Z",
"lastMessagePreview": "string",
"lastTurnId": "string",
"lastTurnStatus": "pending",
"metadata": {},
"systemPrompt": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Attachments
Path Parameters
thread_id*string
Format
uuidQuery Parameters
limit?integer
Default
100Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments"[
{
"artifactId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"id": "string",
"ingestionStatus": "none",
"messageId": "string",
"mimeType": "string",
"originalFilename": "string",
"scope": "thread",
"sizeBytes": 0,
"threadId": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Attachment
Path Parameters
thread_id*string
Format
uuidQuery Parameters
artifact_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
messageId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments?artifact_id=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"artifactId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"id": "string",
"ingestionStatus": "none",
"messageId": "string",
"mimeType": "string",
"originalFilename": "string",
"scope": "thread",
"sizeBytes": 0,
"threadId": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Crystallize Thread
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
name?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/crystallize" \ -H "Content-Type: application/json" \ -d '{}'{
"automationId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Feedback
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
comment?|
messageId?|
rating*string
User feedback rating on assistant responses.
Value in
"positive" | "negative"turnId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback" \ -H "Content-Type: application/json" \ -d '{ "rating": "positive" }'{
"comment": "string",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"id": "string",
"messageId": "string",
"rating": "positive",
"threadId": "string",
"turnId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Messages
Path Parameters
thread_id*string
Format
uuidQuery Parameters
limit?integer
Default
50Range
1 <= value <= 200cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"{
"items": [
{
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"format": "pydantic_ai",
"id": "string",
"rawData": {},
"role": "user",
"threadId": "string",
"turnId": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Cancel Active Turn
Path Parameters
thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
partialText?|
Response Body
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/turns/cancel" \ -H "Content-Type: application/json" \ -d '{}'Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Stream Turn
Path Parameters
thread_id*string
Format
uuidHeader Parameters
X-User-Timezone?|
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/chat/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/turns/stream"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Turn
Path Parameters
turn_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/chat/turns/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"completedAt": "2019-08-24T14:15:22Z",
"concurrencyKey": "string",
"createdAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"error": {},
"id": "string",
"idempotencyKey": "string",
"inputMessageId": "string",
"modelId": "string",
"outputMessageId": "string",
"settings": {},
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"threadId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"usage": {
"cachedInputTokens": 0,
"inputTokens": 0,
"outputTokens": 0,
"totalCost": "string"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}